## XUSER-Einträge aus einer Datei einlesen

### Verwendung

Sie können XUSER-Einträge anlegen, ändern und löschen, indem Sie Informationen aus einer Datei einlesen.

### Vorgehensweise

...

1. Legen Sie mit einem Texteditor die Datei an, aus der die XUSER-Einträge eingelesen werden sollen.

Jede Zeile der Datei enthält die Optionen für einen XUSER-Eintrag und das Kommando set oder clear.

Sie dürfen die Option –b nicht in der Datei verwenden.

Den Namen der Datei können Sie frei wählen.

2. Um die Datei <file> in XUSER einzulesen, geben Sie folgendes Kommando an:

xuser -b <file>

### Beispiel

Sie lesen eine Datei mit dem folgenden Inhalt in XUSER ein:

-U MK –u MONA,RED –d DEMODB –n GENUA –t 90 –l 1 set

-U DK –u DAVID,BLUE –d DEMODB set

Hierdurch werden folgende XUSER-Einträge angelegt:

- Benutzerschlüssel MK, Benutzer MONA, Kennwort RED, Datenbankname DEMODB, Rechner GENUA, Timeout 90 Sekunden, Isolation-Level 1.
- Benutzerschlüssel DK, Benutzer DAVID, Kennwort BLUE, Datenbankname DEMODB